Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class PostMessageDupsOk

    java.lang.Object
      org.hornetq.rest.queue.PostMessage
          org.hornetq.rest.queue.PostMessageDupsOk

    public class PostMessageDupsOk

extends PostMessage

Implements simple "create" link. Returns 201 with Location of created resource as per HTTP

Version:
  $Revision: 1 $
Author:
  Bill Burke

Nested Class Summary

Nested classes/interfaces inherited from class org.hornetq.rest.queue.PostMessage
`PostMessage.Pooled`

Field Summary

Fields inherited from class org.hornetq.rest.queue.PostMessage
`defaultDurable, destination, pool, poolSize, serviceManager, sessionFactory`

Constructor Summary
`PostMessageDupsOk()`

Method Summary
`javax.ws.rs.core.Response` | `create(javax.ws.rs.core.HttpHeaders headers, java.lang.Boolean durable, java.lang.Long expiration, java.lang.Integer priority, javax.ws.rs.core.UriInfo uriInfo, byte[] body)`
`void` | `publish(javax.ws.rs.core.HttpHeaders headers, byte[] body, boolean durable, java.lang.Long expiration, java.lang.Integer priority)`

Methods inherited from class org.hornetq.rest.queue.PostMessage
`addPooled, cleanup, createHornetQMessage, generateDupId, getDestination, getPooled, getPoolSize, getServiceManager, getSessionFactory, init, isDefaultDurable, postWithId, publish, putWithId, setDefaultDurable, setDestination, setPoolSize, setServiceManager, setSessionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostMessageDupsOk

    public PostMessageDupsOk()

Method Detail

### publish

    public void publish(javax.ws.rs.core.HttpHeaders headers,
                        byte[] body,
                        boolean durable,
                        java.lang.Long expiration,
                        java.lang.Integer priority)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### create

    public javax.ws.rs.core.Response create(@Context
                                            javax.ws.rs.core.HttpHeaders headers,
                                            java.lang.Boolean durable,
                                            java.lang.Long expiration,
                                            java.lang.Integer priority,
                                            @Context
                                            javax.ws.rs.core.UriInfo uriInfo,
                                            byte[] body)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.